Skip to content
Fulfillment & ShippingProfiles

Create shipping profile

Creates a profile with its fulfillment locations, optionally as the default.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://api.ecomiq.pe/api/v1/shipping/profiles" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "name": "Envío estándar",    "description": "Polo de algodón pima para uso diario.",    "locationIds": [      "7204558912004328277"    ],    "isDefault": true  }'
{  "id": "7204558912004321806",  "storeId": "7204558912004327977",  "sellerId": "7204558912004323447",  "name": "Envío estándar",  "description": "Polo de algodón pima para uso diario.",  "locationIds": [    "7204558912004328277"  ],  "isDefault": true,  "isActive": true,  "createdOn": "2026-09-28T15:30:00Z",  "updatedOn": "2026-09-28T15:30:00Z"}